Package org.apache.calcite.avatica.proto

## Class Common.AvaticaParameter.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>
      - - org.apache.calcite.avatica.proto.Common.AvaticaParameter.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Common.AvaticaParameterOrBuilder`

Enclosing class:
  Common.AvaticaParameter

    public static final class Common.AvaticaParameter.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>
    implements Common.AvaticaParameterOrBuilder

     Metadata for a parameter

Protobuf type `AvaticaParameter`

### Field Summary

Fields
`private java.lang.Object` `className_`
`private java.lang.Object` `name_`
`private int` `parameterType_`
`private int` `precision_`
`private int` `scale_`
`private boolean` `signed_`
`private java.lang.Object` `typeName_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.AvaticaParameter.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.AvaticaParameter` `build()`
`Common.AvaticaParameter` `buildPartial()`
`Common.AvaticaParameter.Builder` `clear()`
`Common.AvaticaParameter.Builder` `clearClassName()` `string class_name = 6;`
`Common.AvaticaParameter.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.AvaticaParameter.Builder` `clearName()` `string name = 7;`
`Common.AvaticaParameter.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.AvaticaParameter.Builder` `clearParameterType()` `uint32 parameter_type = 4;`
`Common.AvaticaParameter.Builder` `clearPrecision()` `uint32 precision = 2;`
`Common.AvaticaParameter.Builder` `clearScale()` `uint32 scale = 3;`
`Common.AvaticaParameter.Builder` `clearSigned()` `bool signed = 1;`
`Common.AvaticaParameter.Builder` `clearTypeName()` `string type_name = 5;`
`Common.AvaticaParameter.Builder` `clone()`
`java.lang.String` `getClassName()` `string class_name = 6;`
`com.google.protobuf.ByteString` `getClassNameBytes()` `string class_name = 6;`
`Common.AvaticaParameter` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`java.lang.String` `getName()` `string name = 7;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 7;`
`int` `getParameterType()` `uint32 parameter_type = 4;`
`int` `getPrecision()` `uint32 precision = 2;`
`int` `getScale()` `uint32 scale = 3;`
`boolean` `getSigned()` `bool signed = 1;`
`java.lang.String` `getTypeName()` `string type_name = 5;`
`com.google.protobuf.ByteString` `getTypeNameBytes()` `string type_name = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.AvaticaParameter.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.AvaticaParameter.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Common.AvaticaParameter.Builder` `mergeFrom​(Common.AvaticaParameter other)`
`Common.AvaticaParameter.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.AvaticaParameter.Builder` `setClassName​(java.lang.String value)` `string class_name = 6;`
`Common.AvaticaParameter.Builder` `setClassNameBytes​(com.google.protobuf.ByteString value)` `string class_name = 6;`
`Common.AvaticaParameter.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.AvaticaParameter.Builder` `setName​(java.lang.String value)` `string name = 7;`
`Common.AvaticaParameter.Builder` `setNameBytes​(com.google.protobuf.ByteString value)` `string name = 7;`
`Common.AvaticaParameter.Builder` `setParameterType​(int value)` `uint32 parameter_type = 4;`
`Common.AvaticaParameter.Builder` `setPrecision​(int value)` `uint32 precision = 2;`
`Common.AvaticaParameter.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Common.AvaticaParameter.Builder` `setScale​(int value)` `uint32 scale = 3;`
`Common.AvaticaParameter.Builder` `setSigned​(boolean value)` `bool signed = 1;`
`Common.AvaticaParameter.Builder` `setTypeName​(java.lang.String value)` `string type_name = 5;`
`Common.AvaticaParameter.Builder` `setTypeNameBytes​(com.google.protobuf.ByteString value)` `string type_name = 5;`
`Common.AvaticaParameter.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### signed_

    private boolean signed_

#### precision_

    private int precision_

#### scale_

    private int scale_

#### parameterType_

    private int parameterType_

#### typeName_

    private java.lang.Object typeName_

#### className_

    private java.lang.Object className_

#### name_

    private java.lang.Object name_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.AvaticaParameter.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### getDefaultInstanceForType

    public Common.AvaticaParameter getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.AvaticaParameter build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.AvaticaParameter buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.AvaticaParameter.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### setField

    public Common.AvaticaParameter.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                    java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### clearField

    public Common.AvaticaParameter.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### clearOneof

    public Common.AvaticaParameter.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### setRepeatedField

    public Common.AvaticaParameter.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            int index,
                                                            java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### addRepeatedField

    public Common.AvaticaParameter.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### mergeFrom

    public Common.AvaticaParameter.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.AvaticaParameter.Builder>`

#### mergeFrom

    public Common.AvaticaParameter.Builder mergeFrom​(Common.AvaticaParameter other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### mergeFrom

    public Common.AvaticaParameter.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.AvaticaParameter.Builder>`
Throws:
  `java.io.IOException`

#### getSigned

    public boolean getSigned()

`bool signed = 1;`

Specified by:
  `getSigned` in interface `Common.AvaticaParameterOrBuilder`

#### setSigned

    public Common.AvaticaParameter.Builder setSigned​(boolean value)

`bool signed = 1;`

#### clearSigned

    public Common.AvaticaParameter.Builder clearSigned()

`bool signed = 1;`

#### getPrecision

    public int getPrecision()

`uint32 precision = 2;`

Specified by:
  `getPrecision` in interface `Common.AvaticaParameterOrBuilder`

#### setPrecision

    public Common.AvaticaParameter.Builder setPrecision​(int value)

`uint32 precision = 2;`

#### clearPrecision

    public Common.AvaticaParameter.Builder clearPrecision()

`uint32 precision = 2;`

#### getScale

    public int getScale()

`uint32 scale = 3;`

Specified by:
  `getScale` in interface `Common.AvaticaParameterOrBuilder`

#### setScale

    public Common.AvaticaParameter.Builder setScale​(int value)

`uint32 scale = 3;`

#### clearScale

    public Common.AvaticaParameter.Builder clearScale()

`uint32 scale = 3;`

#### getParameterType

    public int getParameterType()

`uint32 parameter_type = 4;`

Specified by:
  `getParameterType` in interface `Common.AvaticaParameterOrBuilder`

#### setParameterType

    public Common.AvaticaParameter.Builder setParameterType​(int value)

`uint32 parameter_type = 4;`

#### clearParameterType

    public Common.AvaticaParameter.Builder clearParameterType()

`uint32 parameter_type = 4;`

#### getTypeName

    public java.lang.String getTypeName()

`string type_name = 5;`

Specified by:
  `getTypeName` in interface `Common.AvaticaParameterOrBuilder`

#### getTypeNameBytes

    public com.google.protobuf.ByteString getTypeNameBytes()

`string type_name = 5;`

Specified by:
  `getTypeNameBytes` in interface `Common.AvaticaParameterOrBuilder`

#### setTypeName

    public Common.AvaticaParameter.Builder setTypeName​(java.lang.String value)

`string type_name = 5;`

#### clearTypeName

    public Common.AvaticaParameter.Builder clearTypeName()

`string type_name = 5;`

#### setTypeNameBytes

    public Common.AvaticaParameter.Builder setTypeNameBytes​(com.google.protobuf.ByteString value)

`string type_name = 5;`

#### getClassName

    public java.lang.String getClassName()

`string class_name = 6;`

Specified by:
  `getClassName` in interface `Common.AvaticaParameterOrBuilder`

#### getClassNameBytes

    public com.google.protobuf.ByteString getClassNameBytes()

`string class_name = 6;`

Specified by:
  `getClassNameBytes` in interface `Common.AvaticaParameterOrBuilder`

#### setClassName

    public Common.AvaticaParameter.Builder setClassName​(java.lang.String value)

`string class_name = 6;`

#### clearClassName

    public Common.AvaticaParameter.Builder clearClassName()

`string class_name = 6;`

#### setClassNameBytes

    public Common.AvaticaParameter.Builder setClassNameBytes​(com.google.protobuf.ByteString value)

`string class_name = 6;`

#### getName

    public java.lang.String getName()

`string name = 7;`

Specified by:
  `getName` in interface `Common.AvaticaParameterOrBuilder`

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 7;`

Specified by:
  `getNameBytes` in interface `Common.AvaticaParameterOrBuilder`

#### setName

    public Common.AvaticaParameter.Builder setName​(java.lang.String value)

`string name = 7;`

#### clearName

    public Common.AvaticaParameter.Builder clearName()

`string name = 7;`

#### setNameBytes

    public Common.AvaticaParameter.Builder setNameBytes​(com.google.protobuf.ByteString value)

`string name = 7;`

#### setUnknownFields

    public final Common.AvaticaParameter.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`

#### mergeUnknownFields

    public final Common.AvaticaParameter.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaParameter.Builder>`